use std::io::Read;

use skyward_mavlink::lyra::MavMessage;

/// Read PAYLOAD_FLIGHT_TM messages from a CSV file
pub fn read_packets_from_csv(csv_reader: impl Read) -> std::io::Result<Vec<MavMessage>> {
    let mut packets = Vec::new();
    let mut rdr = csv::Reader::from_reader(csv_reader);
    for result in rdr.deserialize() {
        packets.push(MavMessage::PAYLOAD_FLIGHT_TM(result?));
    }
    Ok(packets)
}
